> [!CAUTION]
> **Caution:** This documentation is for Google Ads API **v24** . The latest active version is [**v26**](https://developers.google.com/google-ads/api/reference/rpc/latest/ShareablePreview).

A shareable preview with its identifier.

Only Performance Max asset groups and certain YouTube video/audio ad formats are supported. Other ad types, such as Responsive Search Ads or Responsive Display Ads, are not supported and return an `UNSUPPORTED_AD_TYPE` error.

By default, the generated preview URLs cannot be embedded in an iframe because the response headers include `X-Frame-Options: deny`. Embedding in an iframe is only supported for allowlisted domains when the `origin` query parameter is appended to the preview URL.

[Proto definition ![GitHub](https://developers.google.com/site-assets/logo-github.svg)](https://github.com/googleapis/googleapis/blob/master/google/ads/googleads/v24/actions/generate_shareable_previews.proto)

| Fields ||
|---|---|
| ## `identifier` Union field. The identifier of the shareable preview. `identifier` can be only one of the following: ||
| ### `ad_group_ad` | `string` Ad group ad of the shareable preview. Only supported for preview type YOUTUBE_LIVE_PREVIEW. Format: customers/{customer_id}/adGroupAds/{ad_group_id}\~{ad_id} |
| ### `asset_group` | `string` Asset group of the shareable preview. Format: customers/{customer_id}/assetGroups/{asset_group_id} |
| ## `preview_type` | `PreviewType` Required. The type of preview to generate. |